Tray retracts automatically after eject with 2.6.27-6 and -7

Bug #280931 reported by razor1394 on 2008-10-09
74
This bug affects 15 people
Affects Status Importance Assigned to Milestone
eject (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Wouter Stomp
udev (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Wouter Stomp

Bug Description

Binary package hint: eject

The release I'm using is Intrepid Ibex i386 beta. The install was made from a Intrepid i386 alpha 3 disc.

razor1394@gemenon:~$ apt-cache policy eject
eject:
  Installerad: 2.1.5-9ubuntu2
  Kandidat: 2.1.5-9ubuntu2
  Versionstabell:
 *** 2.1.5-9ubuntu2 0
        500 http://se.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

I expected the tray to stay open so I could remove the disc in a calm fashion.

The tray of my Pioneer DVR-215DBK retracts whenever an application requires an eject it almost immediately after the tray has been ejected. This happens with Nerolinux 3.5.1.0, eject from console, Nautilus and the gnome desktop. When ejecting a disc with the button when I'm at gdm it doesn't retract until 10 seconds after full eject.

This happened after an upgrade done yesterday which included kernel 2.6.27-6. This problem does not appear on the previous kernel 2.6.27-5. The discs I use have the udf file-system.

I have attached my dmesg from 2.6.27-5.

This is a snippet from a dmesg after having mounted my UDF disc:

[ 3778.241891] UDF-fs: Partition marked readonly; forcing readonly mount
[ 3778.323980] UDF-fs INFO UDF: Mounting volume '*DISC TITLE REMOVED*', timestamp 2008/10/09 15:12 (1078)

razor1394 (razor1394) wrote :
description: updated
philinux (philcb) wrote :

Same here. It retracts in the blink of any eye. No time to remove disc.

 3456.584481] UDF-fs: Partition marked readonly; forcing readonly mount
[ 3456.613734] UDF-fs INFO UDF: Mounting volume 'HITCHCOCKS_YOUNGANDINNOCENT', timestamp 2008/08/14 17:14 (103c)
[ 3597.834536] __ratelimit: 3 callbacks suppressed

If I immediately press the eject button before the system remounts it the tray will stay open.

shane19174 (shanedenson1) wrote :

Same here after burning discs with Brasero.
Inrepid beta, fully updated (upgraded from Hardy).

razor1394 (razor1394) wrote :

Two other users are having the same problem.

description: updated
Changed in eject:
status: New → Confirmed
razor1394 (razor1394) wrote :
razor1394 (razor1394) wrote :

Some i/o errors. Could be of interest.

razor1394 (razor1394) wrote :

Tapping the eject button on the DVD burner twice continuously works as well.

VladimirCZ (vlabla) wrote :

The same problem with immediate retraction (DVD drive closing) here.

Ubuntu 8.10 Beta, 64-bit, fully updated on 12-10-2008.
( kernel 2.6.27-7-generic, 2.24.0 )

Intel(R) Core(TM)2 Duo CPU E4500 @ 2.20GHz ... Asus P5KPL
DVD Asus DRW 2014 L1T

--- Deatails ---

SYSTEM INFORMATION
 Running Ubuntu Linux, the Ubuntu 8.10 (intrepid) release.
 GNOME: 2.24.0 (Ubuntu 2008-10-07)
 Kernel version: 2.6.27-7-generic (#1 SMP Fri Oct 10 03:55:01 UTC 2008)
 GCC: 4.3.2 (x86_64-linux-gnu)

MOTHERBOARD
 Host bridge
  Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller (rev 02)
  Subsystem: ASUSTeK Computer Inc. Device 82b0
 PCI bridge(s)
  Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port (rev 02)
  Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
  Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
  Intel Corporation 82801 PCI Bridge (rev e1) (prog-if 01)
  Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port (rev 02)
  Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
  Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
  Intel Corporation 82801 PCI Bridge (rev e1) (prog-if 01)
 USB controller(s)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01) (prog-if 20)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
  Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01) (prog-if 20)
 ISA bridge
  Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
  Subsystem: ASUSTeK Computer Inc. Device 8179
 IDE interface
  Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE Controller (rev 01) (prog-if 8f [Master SecP SecO PriP PriO])
  Subsystem: ASUSTeK Computer Inc. Device 8179

TORAGE INFORMATION
 SCSI device - scsi2
  Vendor: ATA
  Model: WDC WD3200AAJS-5
 SCSI device - scsi3
  Vendor: ASUS
  Model: DRW-2014L1T
 SCSI device - scsi4
  Vendor: Generic
  Model: USB SD Reader
 SCSI device - scsi4
  Vendor: Generic
  Model: USB CF Reader

shane19174 (shanedenson1) wrote :

A consequence of this bug is that it is impossible to copy a CD/DVD in Brasero. After copying the contents of a disc to a temporary location, Brasero aborts with the message that it cannot eject the medium. Manually ejecting and replacing the disk is ineffectual, as the operation cannot be resumed.

I see the same behaviour with Kubuntu Intrepid, since yesterday. If I press the eject button immediately after it closes it stays open.

panic_button (panic-button) wrote :

Same here. I am using an LG burner.

panic_button (panic-button) wrote :

eject -p seems to work better than eject

panic_button (panic-button) wrote :

Never mind, eject -p, eject -t and eject -T all seem to have the same bug. It's unpredictable.

Kazade (kazade) wrote :

I have the same problem. If I eject a second time straight after the disc has been sucked back in it seems to stay out. Still pretty annoying though!

Erick Brunzell (lbsolost) wrote :

I can also confirm this bug. First noticed it while testing Beta ISO, even if just running live CD w/no change to puter, or at completion of install - but the Alpha 6 CD was OK.

Just tried the 10-21 daily build and the bug is still there. It also interferes w/Brasero performing integ test. Same on SATA Multi-Recorder and IDE CD/DVD ROM.

exploder91 (d-cosner) wrote :

I can also confirm this bug. When I click on eject, the CD tray opens and quickly closes. If I choose "unmount" from the drop down list I can manually eject the disk with no problems.I am running Intrepid, updated to 10/21.

Erick Brunzell (lbsolost) wrote :

This bug still exists in the 8.10 RC!

This is a killer bug!

gmarcom (greg-marcom) wrote :

I have noticed this with a HP external DVD burner and burning with k3b. After burn is done and you hit close the tray opens then closes right away.
Using 8.10 beta.
k3b:
  Installed: 1.0.5-1ubuntu6
  Candidate: 1.0.5-1ubuntu6
  Version table:
 *** 1.0.5-1ubuntu6 0
        500 http://us.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

paulle (orj-paulle) wrote :

i can confirm this bug (hp internal dvd burner, brasero and k3b)

Gina (ginalinux) wrote :

I get the same with the RC and K3b. After k3b completes it ejects and immediately reloads. This has only been happening fairly recently. New internal Samsung drive (though I doubt it's anything to do with the make of drive). It's the same with either CD or DVD.

gray (info-graydesigns) wrote :

I confirm this bug happens here using Ubuntu RC of 8.10

Internal Sony 'rom on a Pentium 4 2.66 - a 4-year old box - the 'rom works fine in XP (I dual boot XP as main system and Ubuntu as a testing install).

I filed a separate bug relating to issues with inserting a cd into the drive too, here:

https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/288584

not sure if there is a common element ?

shane19174 (shanedenson1) wrote :

Like I wrote above, the very basic functionality of copying a disc in Brasero with a single optical drive becomes impossible because of this bug. Brasero aborts the process because when it ejects to allow the user to insert a blank disc, it retracts immediately, finds a full medium and can't go further. This is still here in the RC and really needs to be addressed for final release.

Ian Higginson (xeriouxi) wrote :

I can't believe the importance of this bug is still undecided. This should be a very high priority bug as not only does it stop certain programs from working correctly (i.e. Brasero) but it could damage the drive/discs. The first time it happened to me I had the CD half way off the tray before it retracted back in, thus jamming the disc in the tray and stopping it from closing.

Sir Rodness (sir-rodness) wrote :

I have this problem too since the 8.10 beta releases. Not something I expected to happen in a beta. I'll wait for the final release and see how it goes then.

NeoFax (neofax99) wrote :

Same problem as everyone else.

razor1394 (razor1394) wrote :

Ok.

So from what I've/we've gathered:

1. This always happens when trying to eject a tray with a disc on it. It doesn't matter what It contains (UDF, empty, ISO)
2. Pressing the eject button first once to eject the disc then when the tray retracts press the button again once, will keep the tray ejected.
3. Brasero's copying process doesn't work because it needs an empty disc to be inserted after eject before burning.
4. There seems to be I/O errors related to the disc drive. However I don't know if this is because of the eject problem.
5. Reinstalling from a current Ubuntu disc does not solve this problem.

--

I use a SATA drive on my stationary which has this problem and I have an almost identical computer with the same drive that I will test. Are you using IDE or SATA?

I don't know what more there is to do. I'm not even 100% sure this is an eject problem. This could be a kernel problem.

I'm going to try and nominate this bug but last time I checked latest was Hardy but I'm sure I missed something as Wouter Stomp has already nominated this for Intrepid.

A developer seriously needs to look at this. We need to provide as much debugging information as we can. There is a page on the Ubuntu wiki that contains information on debugging.

razor1394 (razor1394) wrote :

Gosh. Now I remember something. When installing Ubuntu from the alpha 3 disc I had a problem with booting up the live disc. I was left at initrd. A fix was to add this to the kernel boot line:

all_generic_ide floppy=off pci=nomsi

so it looked like this

kernel /boot/vmlinuz-2.6.27-7-generic root=UUID=841ad554-74e5-4f9b-82b9-00eae02e6c3d ro all_generic_ide floppy=off pci=nomsi quiet splash

I will try without these options immidiately.

razor1394 (razor1394) wrote :

It didn't work. System stops progressing at

* Mounting local file-systems:

I tried to reproduce this bug on my almost identical desktop which was easy. This computer was installed from newer daily disc.

I noticed that the second desktop had a different boot configuration:

old - computer 1:

title Ubuntu 8.10, kernel 2.6.27-7-generic
root (hd0,0)
kernel /boot/vmlinuz-2.6.27-7-generic root=UUID=841ad554-74e5-4f9b-82b9-00eae02e6c3d ro quiet splash
initrd /boot/initrd.img-2.6.27-7-generic
quiet

new - computer 2:

title Ubuntu intrepid (development branch), kernel 2.6.27-7-generic
uuid 5da6aca8-a3a2-4579-ad9b-8691783ede8f
kernel /boot/vmlinuz-2.6.27-7-generic root=/dev/sda1 ro quiet splash
initrd /boot/initrd.img-2.6.27-7-generic
quiet

Using the config from the second computer on the first makes it unbootable. It doesn't even get past grub.

sonambullo (sonambullo) wrote :

I can confirm this bug.

razor1394 (razor1394) wrote :

Nevermind. I fixed it. It now looks like this on the first comp:

title Ubuntu 8.10, kernel 2.6.27-7-generic
uuid 841ad554-74e5-4f9b-82b9-00eae02e6c3d
kernel /boot/vmlinuz-2.6.27-7-generic root=/dev/sda1 ro quiet splash
initrd /boot/initrd.img-2.6.27-7-generic
quiet

No progress on eject however...

I can confirm this as well, although it seems that I won't have to.

I have to say I'm almost happy this is a bug because for the last few days I had just assumed my cd drive was broken.

I meant "don't need to" as opposed to "won't have to."

Lance (lrissman) wrote :

Upgraded from Kubuntu 8.04 to 8.10 beta and then applied all updates since.

Also affected.

I use IDE, not SATA drives.

I can confirm this bug too with a Dell Dimension 9150.

Jeffery Davis (heavensblade23) wrote :

Confirming. For me it only seems to happen if there's a disc in the tray. If I open the (empty) tray to put a disc in, it stays open.

Martin Seifert (martinseifert) wrote :

According to "sheldo" at ubuntuforums.org this is a udev issue and a workaround is availiable:

http://ubuntuforums.org/showpost.php?p=6030591&postcount=25

Workaround:

http://bugs.gentoo.org/show_bug.cgi?id=230886
https://bugzilla.redhat.com/show_bug.cgi?id=453095#c26

razor1394 (razor1394) wrote :

Yes that's a very nice find.

I've just modified the file to be patched as the /lib/... file does not exist. Otherwise It's almost identical to the Red hat and Gentoo patch.

Download the attachment and copy it to '/etc/udev/rules,d/'.

sudo cp cdeject_ubuntu_intrepid_20081025_1754_gmt+1.patch /etc/udev/rules.d/

Execute patching

sudo patch -p0 <cdeject_ubuntu_intrepid_20081025_1754_gmt+1.patch

Reboot.

The workaround works for me for cdrom (which is a DVD-ROM) but doesn't work for /dev/cdrom1 (which is a DVD-RW) if it has a blank DVD; it still shows the old bug, ejects then reinserts the tray. If the DVD-RW has a DVD-ROM or a CD (audio/ROM) it works.

razor1394 (razor1394) wrote :

Sorry for removing the patch but it didn't work for me with patch p1. I usually use any of those even though I wrote p0 previously. I then realized that there was a difference between p0 and p1 and it worked with p0.

Back up.

Correction to my previous comment - eject is still broken for the DVD-RW. Both my drives are IDE, the RW is master and shows as /dev/scd0 (linked to /dev/cdrom1) and the DVD-ROM is slave and shows as /dev/scd1 (linked to /dev/cdrom). I am running kubuntu intrepid beta AMD64.

razor1394 (razor1394) wrote :

Ok so It seems to have fixed the problems for me at least with DVD+R discs both empty and with UDF. Empty DVD+R DL discs work fin as well.

razor1394 (razor1394) wrote :

Jose what happens if you change this line of the patch

+ENV{DEVTYPE}=="disk", KERNEL=="sr*", ATTR{removable}=="1", GOTO="persistent_storage_end"

to this

+ENV{DEVTYPE}=="disk", KERNEL=="sr*|sc*", ATTR{removable}=="1", GOTO="persistent_storage_end"

?

Still the same, eject "/dev/cdrom" works, "eject /dev/cdrom1" ejects and reinserts the DVD-RW tray, and only stays ejected if I do it twice on a row.

razor1394 (razor1394) wrote :

Do you have any /dev/sr* devices at all or only cdrom* and sc*?

I don't know exactly how this part works but I thnik you need to fiddle with i at least if you don't have any /dev/sr* device names.

/etc/udev/rules.d/60-persistent-storage.rules

# skip unpartitioned removable media devices from drivers which do not send "change" events
ENV{DEVTYPE}=="disk", KERNEL!="sd*|sr*", ATTR{removable}=="1", GOTO="persistent_storage_end"
ENV{DEVTYPE}=="disk", KERNEL=="sr*", ATTR{removable}=="1", GOTO="persistent_storage_end"

Erick Brunzell (lbsolost) wrote :

Razor,

The patch worked perfect for me! For both my DVD-ROM IDE drive and my SATA DVD+RW. Look at what I said here (post #27):

http://ubuntuforums.org/showthread.php?t=942553&page=3

I hope I wrote that right. The only thing I haven't tried is an "integrity test" with Brasero, but I've tried adding data to RW's, ejecting both blank and written discs, I've rebooted and all still seems well!

I must admit I goofed the first time around and included the + mark in my edit:^/ What can I say:^)

isecore (isecore) wrote :

I can confirm I have this bug as well. I have a DVDRW on IDE, my installation is Hardy upgraded to Intrepid RC. Worked fine in Hardy, now I have to be _REALLY_ fast in removing disks from the drive :S

zenzike (zenzike) wrote :

I can confirm this on the amd64 distribution of Ibex. This also happens when pressing the eject button on the drive, although when pressed the second time, it ejects normally and stays ejected.

sonambullo (sonambullo) wrote :

Solution for me / Solução para mim!!! Tanks!!!

/etc/udev/rules.d/60-persistent-storage.rules

# skip unpartitioned removable media devices from drivers which do not send "change" events
ENV{DEVTYPE}=="disk", KERNEL!="sd*|sr*", ATTR{removable}=="1", GOTO="persistent_storage_end"
ENV{DEVTYPE}=="disk", KERNEL=="sr*", ATTR{removable}=="1", GOTO="persistent_storage_end"

razor1394 (razor1394) wrote :

I would like to add that there is no need to put the patch under /etc/udev/rules.d/ dir. It's ok to put it for ex under ~/.

razor1394 (razor1394) wrote :

As this is proven to be an udev bug I have remarked it.

This is not proven to be a udev bug, it's a kernel bug

Erick Brunzell (lbsolost) wrote :

I'm too much of a noob to understand this:

"I would like to add that there is no need to put the patch under /etc/udev/rules.d/ dir. It's ok to put it for ex under ~/."

I edited /etc/udev/rules.d/60-persistent-storage.rules

It worked, but I'd like to know what you mean in case I make a recommendation to someone else.

Ian Higginson (xeriouxi) wrote :

Oh dear! I think I clicked on something that I wasn't meant to... apologies if it's done anything to this report!

i can also confirm this bug, and that the one-line change mentioned in posts above to /etc/udev/60-persistent-storage.rules fixes it.

this is another showstopper, please update udev asap

rfurman24 (rfurman24) wrote :

I applied the udev update and the problem still exists.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.